SUBSETMESH(1)

NAME
subsetMesh - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
subsetMesh [OPTIONS] cell-selection

DESCRIPTION
Create a mesh subset for a particular region of interest based on a cellSet or
cellZone(s) specified as the first command argument.
See setSet/topoSet utilities on how to select cells based on various shapes.

ARGUMENTS

cell-selection
    The cellSet name, but with the -zone option this is interpreted to be a cellZone selection by name(s) or regex. Eg 'mixer' or '( mixer "moving.*" )'

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-decomposeParDict file
    Use specified file for decomposePar dictionary

-overwrite
    Overwrite existing mesh/results files

-parallel
    Run in parallel [Parallel option]

-patch name
    Add exposed internal faces to specified patch instead of "oldInternalFaces"

-patches wordRes
    Add exposed internal faces to closest of specified patches instead of "oldInternalFaces"

-region name
    Specify alternative mesh region

-resultTime time
    Specify a time for the resulting mesh

-zone
    Subset with cellZone(s) instead of cellSet. The command argument may be a list of words or regexs

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-hostRoots ((host1 dir1) .. (hostN dirN))
    Per-host slave root directories for distributed running. The host specification can be a regex. [Parallel option]

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-roots (dir1 .. dirN)
    Slave root directories for distributed running [Parallel option]

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.